Last Comment Bug 759489 - only package webapp runtime l10n files when the runtime is enabled
: only package webapp runtime l10n files when the runtime is enabled
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: 14 Branch
: All All
: P3 normal
: Firefox 15
Assigned To: Myk Melez [:myk] [@mykmelez]
: Jason Smith [:jsmith]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 13:35 PDT by Myk Melez [:myk] [@mykmelez]
Modified: 2016-03-21 12:39 PDT (History)
4 users (show)
jsmith: in‑moztrap-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1: the obvious fix (605 bytes, patch)
2012-05-29 13:35 PDT, Myk Melez [:myk] [@mykmelez]
benjamin: review+
Details | Diff | Splinter Review

Description Myk Melez [:myk] [@mykmelez] 2012-05-29 13:35:31 PDT
Created attachment 628094 [details] [diff] [review]
patch v1: the obvious fix

We currently package the webapp runtime's l10n files unconditionally, even if the runtime is disabled (f.e. on Linux at the moment).  We should do so only when the runtime is enabled.
Comment 1 Jason Smith [:jsmith] 2012-05-29 14:33:50 PDT
(In reply to Myk Melez [:myk] [@mykmelez] from comment #0)
> Created attachment 628094 [details] [diff] [review]
> patch v1: the obvious fix
> 
> We currently package the webapp runtime's l10n files unconditionally, even
> if the runtime is disabled (f.e. on Linux at the moment).  We should do so
> only when the runtime is enabled.

Could this same logic of this patch be applied to bug 706634?
Comment 2 Jason Smith [:jsmith] 2012-05-29 14:34:35 PDT
Mean to say - similar use of that "MOZ_WEBAPP_RUNTIME" parameter
Comment 3 Myk Melez [:myk] [@mykmelez] 2012-05-29 14:50:45 PDT
Not sure, but whoever takes on bug 706634 will be qualified to make that judgement.
Comment 4 :Ehsan Akhgari (away Aug 1-5) 2012-06-02 12:22:25 PDT
https://hg.mozilla.org/mozilla-central/rev/2f9736a30755

Note You need to log in before you can comment on or make changes to this bug.